### Method

# Vips Dbuf write_amp

#### Declaration [src]

    gboolean
    vips_dbuf_write_amp (
      VipsDbuf* dbuf,
      const char* str
    )

#### Description [src]

Write `str` to `dbuf`, but escape stuff that xml hates in text. Our argument string is utf-8.

XML rules:

- We must escape &<>
- Don’t escape \n, \t, \r
- Do escape the other ASCII codes.

#### Parameters

`str`

  Type: `const char*`

  String to write.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`FALSE` on out of memory, `TRUE` otherwise.